package com.muyu.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;
import java.util.Map;

/**
 * 字典详细内容对象 dict_info
 *
 * @author Saisai
 * @date 2024-04-24
 */
public class DictInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @Override
    public String toString() {
        return "DictInfo{" +
                "id=" + id +
                ", dictId=" + dictId +
                ", infoName='" + infoName + '\'' +
                ", infoValue='" + infoValue + '\'' +
                ", isEdit=" + isEdit +
                '}';
    }

    /** 主键 */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /** 接入id */
    @Excel(name = "字典id")
    private Long dictId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getDictId() {
        return dictId;
    }

    public void setDictId(Long dictId) {
        this.dictId = dictId;
    }

    public String getInfoName() {
        return infoName;
    }

    public void setInfoName(String infoName) {
        this.infoName = infoName;
    }

    public String getInfoValue() {
        return infoValue;
    }

    public void setInfoValue(String infoValue) {
        this.infoValue = infoValue;
    }

    public boolean isEdit() {
        return isEdit;
    }

    public void setEdit(boolean edit) {
        isEdit = edit;
    }

    public DictInfo(BaseEntityBuilder<?, ?> b, Long id, Long dictId, String infoName, String infoValue, boolean isEdit) {
        super(b);
        this.id = id;
        this.dictId = dictId;
        this.infoName = infoName;
        this.infoValue = infoValue;
        this.isEdit = isEdit;
    }

    public DictInfo(Long id, Long dictId, String infoName, String infoValue, boolean isEdit) {
        this.id = id;
        this.dictId = dictId;
        this.infoName = infoName;
        this.infoValue = infoValue;
        this.isEdit = isEdit;
    }

    public DictInfo(String searchValue, String createBy, Date createTime, String updateBy, Date updateTime, String remark, Map<String, Object> params, Long id, Long dictId, String infoName, String infoValue, boolean isEdit) {
        super(searchValue, createBy, createTime, updateBy, updateTime, remark, params);
        this.id = id;
        this.dictId = dictId;
        this.infoName = infoName;
        this.infoValue = infoValue;
        this.isEdit = isEdit;
    }

    /** 字典名称 */
    @Excel(name = "字典名称")
    private String infoName;

    /** 字典类型 */
    @Excel(name = "字典类型")
    private String infoValue;

    @JsonProperty("isEdit")
    private boolean isEdit;



}
