package com.muyu.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;
import java.util.Map;

public class Source extends BaseEntity {
    /** 主键 */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;


    /**
     *数据接入源
     */
    private String dataResourceName;

    @Override
    public String toString() {
        return "Source{" +
                "id=" + id +
                ", dataResourceName='" + dataResourceName + '\'' +
                ", dataSourcesSystemName='" + dataSourcesSystemName + '\'' +
                ", host='" + host + '\'' +
                ", port='" + port + '\'' +
                ", databaseType='" + databaseType + '\'' +
                ", databaseName='" + databaseName + '\'' +
                ", initLinkNum=" + initLinkNum +
                ", maxLinkNum=" + maxLinkNum +
                ", maxWaitTime=" + maxWaitTime +
                ", maxWaitTimes=" + maxWaitTimes +
                ", connectionParams='" + connectionParams + '\'' +
                ", username='" + username + '\'' +
                ", password='" + password + '\'' +
                '}';
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDataResourceName() {
        return dataResourceName;
    }

    public void setDataResourceName(String dataResourceName) {
        this.dataResourceName = dataResourceName;
    }

    public String getDataSourcesSystemName() {
        return dataSourcesSystemName;
    }

    public void setDataSourcesSystemName(String dataSourcesSystemName) {
        this.dataSourcesSystemName = dataSourcesSystemName;
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getPort() {
        return port;
    }

    public void setPort(String port) {
        this.port = port;
    }

    public String getDatabaseType() {
        return databaseType;
    }

    public void setDatabaseType(String databaseType) {
        this.databaseType = databaseType;
    }

    public String getDatabaseName() {
        return databaseName;
    }

    public void setDatabaseName(String databaseName) {
        this.databaseName = databaseName;
    }

    public Long getInitLinkNum() {
        return initLinkNum;
    }

    public void setInitLinkNum(Long initLinkNum) {
        this.initLinkNum = initLinkNum;
    }

    public Long getMaxLinkNum() {
        return maxLinkNum;
    }

    public void setMaxLinkNum(Long maxLinkNum) {
        this.maxLinkNum = maxLinkNum;
    }

    public Long getMaxWaitTime() {
        return maxWaitTime;
    }

    public void setMaxWaitTime(Long maxWaitTime) {
        this.maxWaitTime = maxWaitTime;
    }

    public Long getMaxWaitTimes() {
        return maxWaitTimes;
    }

    public void setMaxWaitTimes(Long maxWaitTimes) {
        this.maxWaitTimes = maxWaitTimes;
    }

    public String getConnectionParams() {
        return connectionParams;
    }

    public void setConnectionParams(String connectionParams) {
        this.connectionParams = connectionParams;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public Source(BaseEntityBuilder<?, ?> b, Long id, String dataResourceName, String dataSourcesSystemName, String host, String port, String databaseType, String databaseName, Long initLinkNum, Long maxLinkNum, Long maxWaitTime, Long maxWaitTimes, String connectionParams, String username, String password) {
        super(b);
        this.id = id;
        this.dataResourceName = dataResourceName;
        this.dataSourcesSystemName = dataSourcesSystemName;
        this.host = host;
        this.port = port;
        this.databaseType = databaseType;
        this.databaseName = databaseName;
        this.initLinkNum = initLinkNum;
        this.maxLinkNum = maxLinkNum;
        this.maxWaitTime = maxWaitTime;
        this.maxWaitTimes = maxWaitTimes;
        this.connectionParams = connectionParams;
        this.username = username;
        this.password = password;
    }

    public Source(Long id, String dataResourceName, String dataSourcesSystemName, String host, String port, String databaseType, String databaseName, Long initLinkNum, Long maxLinkNum, Long maxWaitTime, Long maxWaitTimes, String connectionParams, String username, String password) {
        this.id = id;
        this.dataResourceName = dataResourceName;
        this.dataSourcesSystemName = dataSourcesSystemName;
        this.host = host;
        this.port = port;
        this.databaseType = databaseType;
        this.databaseName = databaseName;
        this.initLinkNum = initLinkNum;
        this.maxLinkNum = maxLinkNum;
        this.maxWaitTime = maxWaitTime;
        this.maxWaitTimes = maxWaitTimes;
        this.connectionParams = connectionParams;
        this.username = username;
        this.password = password;
    }

    public Source(String searchValue, String createBy, Date createTime, String updateBy, Date updateTime, String remark, Map<String, Object> params, Long id, String dataResourceName, String dataSourcesSystemName, String host, String port, String databaseType, String databaseName, Long initLinkNum, Long maxLinkNum, Long maxWaitTime, Long maxWaitTimes, String connectionParams, String username, String password) {
        super(searchValue, createBy, createTime, updateBy, updateTime, remark, params);
        this.id = id;
        this.dataResourceName = dataResourceName;
        this.dataSourcesSystemName = dataSourcesSystemName;
        this.host = host;
        this.port = port;
        this.databaseType = databaseType;
        this.databaseName = databaseName;
        this.initLinkNum = initLinkNum;
        this.maxLinkNum = maxLinkNum;
        this.maxWaitTime = maxWaitTime;
        this.maxWaitTimes = maxWaitTimes;
        this.connectionParams = connectionParams;
        this.username = username;
        this.password = password;
    }

    /**
     * 数据来源表
     */
    private String dataSourcesSystemName;

    /**
     * 主机Ip地址
     */
    private String host;

    /**
     * 端口
     */
    private String port;


    /**
     * 数据类型
     */
    private String databaseType;

    /**
     * 数据库名称
     */
    private String databaseName;

    /**
     * 初始化连接数量
     */
    private Long initLinkNum;

    /**
     * 多大连接数量
     */
    private Long maxLinkNum;

    /**
     * 最长等待时间
     */
    private Long maxWaitTime;

    /**
     * 最多连接数量
     */
    private Long maxWaitTimes;
    /**
     * 连接参数
     */
    private String connectionParams;

    /**
     * 用户名
     */
    private String username;

    /**
     * 密码
     */
    private String password;
}
