package com.muyu.cloud.etl.controller;

import com.muyu.common.core.web.controller.BaseController;
import com.muyu.common.security.annotation.RequiresPermissions;
import com.muyu.domain.AssetImpower;
import com.muyu.cloud.etl.service.EtlService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.xml.transform.Result;
import java.util.List;


/**
 * @Author：qdm
 * @Package：com.muyu.controller
 * @Project：cloud-etl
 * @name：ETLController
 * @Date：2024/8/20 20:42
 */
@RestController
@RequestMapping("/etl")
public class ETLController extends BaseController {

    @Autowired
    EtlService etlService;
    @GetMapping("/list")
    public List<AssetImpower> list(AssetImpower assetImpower){
        return etlService.selectAssetImpowerList(assetImpower);
    }

    @RequiresPermissions("etl:impower:remove")
    @DeleteMapping("/{ids}")
    public Result remove(@PathVariable Long[] ids)
    {
        return etlService.deleteAssetImpowerByIds(ids);
    }

}
